const createBtn = document.getElementById("create-button");
const informationInput = document.getElementById("information-input");
const dateInput = document.getElementById("date-input");
const caseSelect = document.getElementById("case-select");
const errorP = document.getElementById("error-p");
const errorDivShell = document.getElementById("error-div-shell");

var cases = [];

window.addEventListener("load", async () => {
    try {
        $.ajax({
            url: "/case/getallbyuser",
            type: "GET",
            contentType: "json"
        }).done((result) => {        
            cases = result;
            cases.forEach((element) => {
                const option = document.createElement("option");
                option.value = element.id;
                option.innerHTML = "Дело №" + element.id;
                caseSelect.appendChild(option);
                caseSelect.selectedIndex = -1;
            });
        });
    } catch (error) {
        console.error(error);
    }
});

const correctData = function () {

    return true;
};

const validate = function () {
    if (informationInput.value === "") {
        errorDivShell.style.gridTemplateRows = "1fr";
        errorP.innerHTML = "Заполните поле 'Информация по слушанию'";
        return false;
    }
    if (caseSelect.value === '') {
        errorDivShell.style.gridTemplateRows = "1fr";
        errorP.innerHTML = "Выберите 'Дело'";
        return false;
    }
    return true;
};

createBtn.addEventListener("click", () => {
    if (!correctData()) {
        return;
    }
    if (!validate()) {
        return;
    }

    let hearingModel = {
        "Information": informationInput.value,
        "CaseId": parseInt(caseSelect.value),
        "Date": new Date(dateInput.value)
    };
    console.log(hearingModel)
    $.ajax({
        url: "/hearing/create",
        type: "POST",
        contentType: "application/json",
        data: JSON.stringify(hearingModel)
    }).done(() => {
        window.location.href = "/Home/Hearings";
    });
});